/***************************************************************************
 * Artekit_SI7021.h
 * Copyright (C) 2014 Artekit Italy
 * http://www.artekit.eu
 *
 * This class provides support for the AK-SI7021 humidity and temperature
 * sensor, to be used with Arduino.
 * This class depends on the Wire.h library, that must be included in
 * the main sketch.
 * Product page:
 * http://www.artekit.eu/products/sensors/ak-si7021/
 *
***************************************************************************/

#ifndef __Artekit_SI7021_H__
#define __Artekit_SI7021_H__

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#define SI7021_ADDR 0x40

class Artekit_SI7021
{
public:
    Artekit_SI7021();
    ~Artekit_SI7021();
    
    float ReadTemperature(bool bFromHRSample = false);
    float ReadHumidity(void);
    void EnableHeater(void);
    void DisableHeater(void);
    uint8_t ReadUserRegister(void);
    void WriteUserRegister(uint8_t value);
     
private:
    uint16_t Measure(uint8_t cmd);
    
};

#endif /* __Artekit_SI7021_H__ */
